View Issue Details

IDProjectCategoryView StatusLast Update
0024310LazarusLCLpublic2013-06-24 16:27
ReporterPetr-KAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSLinuxOS Version
Product Version1.1 (SVN)Product BuildRevision #39991 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0024310: Paste to DBGrid by mouse middle button in X11 is ignored
DescriptionBecause value of TCustomDBGrid.FEditingColumn is set only when EditorIsReadOnly is called by TCustomGrid.EditorKeyPress event. TCustomDBGrid.UpdateData then does not store value to dataset.

Following patch solved this issue to me:

--- dbgrids.pas (revision 39991)
+++ dbgrids.pas (working copy)
@@ -2471,7 +2475,8 @@
 
 procedure TCustomDBGrid.SetEditText(ACol, ARow: Longint; const Value: string);
 begin
- FTempText := Value;
+ if not EditorIsReadOnly then
+ FTempText := Value;
 end;

Steps To ReproduceSet table row to edit mode, enter to DBGrid cell (Inplace editor is showed),
paste text from PRIMARY clipboard by middle button and post the row.
Data were not chaged.
TagsNo tags attached.
Fixed in Revision41067
LazTarget1.2
WidgetsetGTK 2
Attached Files

Activities

Jesus Reyes

2013-05-08 06:56

developer   ~0067559

Thank you, I applied an alternative fix, please test.

Petr-K

2013-06-24 16:27

reporter   ~0068494

Patch works.

Issue History

Date Modified Username Field Change
2013-04-22 17:39 Petr-K New Issue
2013-04-22 20:28 Jesus Reyes Assigned To => Jesus Reyes
2013-04-22 20:28 Jesus Reyes Status new => assigned
2013-05-08 06:56 Jesus Reyes Fixed in Revision => 41067
2013-05-08 06:56 Jesus Reyes LazTarget => 1.2
2013-05-08 06:56 Jesus Reyes Note Added: 0067559
2013-05-08 06:56 Jesus Reyes Status assigned => resolved
2013-05-08 06:56 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-05-08 06:56 Jesus Reyes Resolution open => fixed
2013-05-08 06:56 Jesus Reyes Target Version => 1.2.0
2013-06-24 16:27 Petr-K Note Added: 0068494
2013-06-24 16:27 Petr-K Status resolved => closed